commit:     aacd87e8b697e316b3fa66c3bca4075e5a3d66e4
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 24 20:35:47 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Mon Jun 24 20:57:00 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aacd87e8

dev-python/jsonpickle: Bump to version 1.2

Bug: https://bugs.gentoo.org/688034
Package-Manager: Portage-2.3.67, Repoman-2.3.16
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/jsonpickle/Manifest              |  1 +
 dev-python/jsonpickle/jsonpickle-1.2.ebuild | 49 +++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/jsonpickle/Manifest b/dev-python/jsonpickle/Manifest
index 39dfe23fc4b..de068698e2f 100644
--- a/dev-python/jsonpickle/Manifest
+++ b/dev-python/jsonpickle/Manifest
@@ -1 +1,2 @@
 DIST jsonpickle-0.9.3.tar.gz 60489 BLAKE2B 
4767809a3bd5816343e9081bdaf45cdec8dfd1e28b832675e01ae415c1ac081d0a84e2827051520999d11d0dc28a62bdd09285cf384fff0f941d3a571064e2bf
 SHA512 
38de2ab2c15e0e28323a8cc83b0c0b0631f2f678f620e8738fee19c71492f011aa7eec428b859574a0066b9e24a08bde911a283736757964035befe3042f2e06
+DIST jsonpickle-1.2.tar.gz 74693 BLAKE2B 
65f9c18b8693351995f84815d27f2d86ab65fe7a620cda0d346b88db56de45ff6aa21b7ae941e8820e16e184d9a5ac55d56caf112f3930083e63b50751fe2dd8
 SHA512 
0a5bfb2e77175c9174ee1783301c613e25fcfa60f07e610206d1e1e34053e90b21b12bc1b1045dd03ff2d4efe5940d85d852800037ca01397994c022f0ffb2c6

diff --git a/dev-python/jsonpickle/jsonpickle-1.2.ebuild 
b/dev-python/jsonpickle/jsonpickle-1.2.ebuild
new file mode 100644
index 00000000000..f4a6601fd81
--- /dev/null
+++ b/dev-python/jsonpickle/jsonpickle-1.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for serializing any arbitrary object graph into 
JSON"
+HOMEPAGE="https://github.com/jsonpickle/jsonpickle/ 
https://pypi.org/project/jsonpickle/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+# There are optional json backends serializer/deserializers in addition to 
those selected here
+# jsonlib, yajl.
+RDEPEND="dev-python/simplejson[${PYTHON_USEDEP}]
+               dev-python/feedparser[${PYTHON_USEDEP}]
+               dev-python/ujson[${PYTHON_USEDEP}]
+               "
+DEPEND="test? ( ${RDEPEND} )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'dev-python/sphinxtogithub[${PYTHON_USEDEP}]' python2_7) )"
+
+python_prepare_all() {
+       # Prevent un-needed d'loading during doc build
+       sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/source/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && { python_setup python2_7 && sphinx-build -b html -c 
docs/source/ docs/source/ docs/source/html || die; }
+}
+
+python_test() {
+       # An apparent regression in tests
+       # https://github.com/jsonpickle/jsonpickle/issues/124
+       einfo "testsuite has optional tests for package demjson"
+       ${PYTHON} tests/runtests.py || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/source/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to